### Class

# Foundry VcsDiff

#### Description

    abstract class Foundry.VcsDiff : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- FoundryGitDiff

#### Instance methods

###### foundry_vcs_diff_list_deltas

No description available.

###### foundry_vcs_diff_load_stats

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryVcsDiffClass {
      GObjectClass parent_class;
      DexFuture* (* list_deltas) (
        FoundryVcsDiff* self
      );
      DexFuture* (* load_stats) (
        FoundryVcsDiff* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`list_deltas: DexFuture* (* list_deltas) ( FoundryVcsDiff* self )`

  No description available.

`load_stats: DexFuture* (* load_stats) ( FoundryVcsDiff* self )`

  No description available.

#### Virtual methods

###### Foundry.VcsDiffClass.list_deltas

No description available.

###### Foundry.VcsDiffClass.load_stats

No description available.